Page MenuHomePhabricator

Allow maint scripts to accept DB user/pass over input or params if no AdminSettings.php
Closed, ResolvedPublic

Description

Rather than storing superuser credentials in AdminSettings.php, it might be useful for some users to let the DB superuser user/password be prompted or passed as parameters to maintenance scripts, like with 'mysql' command.

This could be slightly safer as well since the superuser credentials would not be available for reading by the web scripts.


Version: unspecified
Severity: enhancement

Details

Reference
bz16322

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:26 PM
bzimport set Reference to bz16322.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Nov 12 2008, 5:34 PM
demon added a comment.Jun 24 2009, 2:02 AM

Fixed in r52336.

demon added a comment.Jun 25 2009, 2:48 PM

Brion reverted the merge in r52340

demon added a comment.Aug 2 2009, 7:36 PM

Fixed in r54225.